# Uses of Interface
java.lang.classfile.attribute.RecordComponentInfo

Packages that use RecordComponentInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

- ## Uses of RecordComponentInfo in java.lang.classfile.attribute

  Methods in java.lang.classfile.attribute that return RecordComponentInfo
  Modifier and Type
  Method
  Description
  `static RecordComponentInfo`
  RecordComponentInfo.`of(Utf8Entry name, Utf8Entry descriptor, Attribute<?>... attributes)`
  Returns a record component description.
  `static RecordComponentInfo`
  RecordComponentInfo.`of(Utf8Entry name, Utf8Entry descriptor, List<Attribute<?>> attributes)`
  Returns a record component description.
  `static RecordComponentInfo`
  RecordComponentInfo.`of(String name, ClassDesc descriptor, Attribute<?>... attributes)`
  Returns a record component description.
  `static RecordComponentInfo`
  RecordComponentInfo.`of(String name, ClassDesc descriptor, List<Attribute<?>> attributes)`
  Returns a record component description.
  Methods in java.lang.classfile.attribute that return types with arguments of type RecordComponentInfo
  Modifier and Type
  Method
  Description
  `List<RecordComponentInfo>`
  RecordAttribute.`components()`
  Returns the components of this record class.
  Methods in java.lang.classfile.attribute with parameters of type RecordComponentInfo
  Modifier and Type
  Method
  Description
  `static RecordAttribute`
  RecordAttribute.`of(RecordComponentInfo... components)`
  Returns a `Record` attribute.
  Method parameters in java.lang.classfile.attribute with type arguments of type RecordComponentInfo
  Modifier and Type
  Method
  Description
  `static RecordAttribute`
  RecordAttribute.`of(List<RecordComponentInfo> components)`
  Returns a `Record` attribute.